Subject: Re: [PATCH net-next v5 1/2] ptp: introduce Alibaba CIPU PHC driver

From: Jakub Kicinski <[email-masked]>
Date: Fri, 31 Oct 2025 16:58:20 -0700

On Thu, 30 Oct 2025 20:13:13 +0800 Wen Gu wrote:
> This adds a driver for Alibaba CIPU PTP clock. The CIPU, an underlying
> infrastructure of Alibaba Cloud, synchronizes time with atomic clocks
> via the network and provides microsecond or sub-microsecond precision
> timestamps for VMs and bare metals on cloud.
> 
> User space processes, such as chrony, running in VMs or on bare metals
> can get the high precision time through the PTP device exposed by this
> driver.

As mentioned on previous revisions this is a pure clock device which has
nothing to do with networking and PTP. There should be a separate class
for "hypervisor clocks", if not a common driver.
-- 
pw-bot: cr